function verificarCamposVaciosLogin() {
    var formLogin = document.getElementById("login");   
    formLogin.j_username.value = formLogin.j_username.value.toUpperCase();
    var usuario = formLogin.j_username.value;

    while (usuario.indexOf(".") != -1) { usuario = usuario.replace(".", ""); }
    usuario = usuario.replace("-", "");

    var clave = formLogin.j_password.value;
    var rut = usuario.substring(0, usuario.length - 1);
    var digitoVerificador = usuario.substring(usuario.length - 1, usuario.length);
    
    for (i = 0; i < rut.length; i++){
        if (!((rut.charAt(i) >= "0") && (rut.charAt(i) <= "9"))) {
            alert("El valor ingresado no corresponde a un RUT v\u00e1lido");
            return false;
        }        
    }

    if(rut > 50000000) {
        alert("El valor ingresado no corresponde a un RUT v\u00e1lido");
        return false;
    }

    if (usuario == "" && clave == "") {
        alert("Debe ingresar un RUT y una Clave para poder ingresar");
        return false;

    } else if (usuario == "") {
        alert("Ingrese RUT");
        return false;

    } else if (clave == "") {
        alert("Ingrese Clave");
        return false;

    } else if (digitoVerificador != calcularDigitoVerificadorRUT(rut)) {
        alert("Ingrese un RUT v\u00e1lido");
        return false;

    } else { }

    var procesando = document.getElementById("modalProcesando");
    var opaco = document.getElementById("caja");

    procesando.style.display = "block";
    opaco.style.opacity = "0.5";
}

function calcularDigitoVerificadorRUT(strRutSinDv) {
    var lengthRut = strRutSinDv.length;
    var lngSumaTotal = calculaSumaRut(strRutSinDv, lengthRut);
    var intRestoSumaTotal = 11 - (lngSumaTotal % 11);
    var strDVCalculado;

    switch (intRestoSumaTotal) {

        case 10: {
            strDVCalculado = "K";
            break
        }

        case 11: {
            strDVCalculado = "0";
            break
        }

        default: {
            strDVCalculado = "" + intRestoSumaTotal;
            break
        }
    }
    return strDVCalculado;
}

function calculaSumaRut(strRut, lngRut) {
    var sumaRut;
    if (lngRut == 0) {
        sumaRut = 0;
    } else {
        var i = strRut.length - lngRut + 2;
        if (i >= 8) {
            i = i - 6;
        }
        var a = strRut.substr(lngRut - 1, 1);
        var lngSumParcial = a * i;
        sumaRut = lngSumParcial + calculaSumaRut(strRut, lngRut - 1);
    }
    return sumaRut;
}

function formatoRut() {
    var formLogin = document.getElementById("login");
    var sRut1 = formLogin.j_username.value.toUpperCase();
    sRut1 = quitarEspacios(sRut1);
    var nPos = 0;
    var sInvertido = "";
    var sRut = "";

    while (sRut1.indexOf(".") != -1) { sRut1 = sRut1.replace(".", ""); }

    sRut1 = sRut1.replace("-", "");
    
    for ( var i = sRut1.length - 1; i >= 0; i--) {
        sInvertido += sRut1.charAt(i);
        if (i == sRut1.length - 1)
            sInvertido += "-";
        else if (nPos == 3) {
            sInvertido += ".";
            nPos = 0;
        }
        nPos++;
    }

    for ( var j = sInvertido.length - 1; j >= 0; j--) {
        if (sInvertido.charAt(sInvertido.length - 1) != ".")
            sRut += sInvertido.charAt(j);
        else if (j != sInvertido.length - 1)
            sRut += sInvertido.charAt(j);
    }
    document.getElementById("login").j_username.value = sRut.toUpperCase();
}

function quitarEspacios(rut) {
    var i = 0;

    while (rut.length>i) {
        if((rut.substring(i, i+1)==" ") || (rut.codePointAt(i)==173)) {
            rut = rut.substring(0, i) + rut.substring(i+1, rut.length);
        } else {
            i = i+1;
        }
    }
    return rut;
}